<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Using OpenLayers with Webpack</title>
    <link rel="stylesheet" href="https://openlayers.org/en/latest/css/ol.css" type="text/css">
    <style>
      html, body {
        margin: 0;
        height: 100%;
      }
      #map {
        position: absolute;
        top: 0;
        bottom: 0;
        width: 100%;
      }
      #overlay {
        box-sizing: border-box;
        position: absolute;
        z-index: 10;
        bottom: -1rem;
        opacity: 0;
        left: 0;
        width: 100%;
        background-color: white;
        transition: all 0.5s ease;
        padding: 1rem;
      }
      #tracking {
        position: absolute;
        z-index: 11;
        top: 0;
        right: 0;
        width: 60px;
        height: 60px;
      }
      #tracking-checkbox {
        display: none;
      }
      #search-box {
        position: absolute;
        z-index: 9;
        top: 0;
        right: 2rem;
        height: 2rem;
        padding: 1em;
      }
      #search-input {
        border: 1px solid #969696;
        padding: 0.3rem;
        width: 5rem;
      }
      #search-button {
        width: 1.2rem;
        height: 1.2rem;
        position: relative;
        top: 0.4rem;
        left: -1.8rem;
        opacity: 0.5;
      }
      .geolocation {
        background-image: url(img/geolocation-icon-unchecked.svg);
        background-size: 60px 60px; 
        width: 60px;
        height: 60px;
        background-repeat: no-repeat;
        font-size: 60px;
      }
      #tracking-checkbox:checked + .geolocation {
        background-image: url(img/geolocation-icon-checked.svg);
      }
    </style>
  </head>
  <body>
    <div id="tracking">
      <input id="tracking-checkbox" name="tracking" type="checkbox">
      <label for="tracking-checkbox" class="geolocation">
        &nbsp;
        &nbsp;
      </label>
    </div>
    <div id="search-box">
      <form name="search">
        <input type="text" name="search-input" id="search-input" placeholder="search">
        <input type="image" src="img/search-32.png" id="search-button">
      </form>
    </div>
    <div id="overlay"></div>
    <div id="map"></div>
    <script src="./bundle.js"></script>
  </body>
</html>
